package com.heyu.api.data.service.calca;
/**
* <p>
* 接口调用记录表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.calca.CalcaDaysStatisticsEntity;
public interface CalcaDaysStatisticsService extends IService<CalcaDaysStatisticsEntity> {



	CalcaDaysStatisticsEntity selectCalcaDaysStatisticsById(Long id);


	Long insertCalcaDaysStatistics(CalcaDaysStatisticsEntity calcaDaysStatistics);


	Long insertOrUpdateCalcaDaysStatistics(CalcaDaysStatisticsEntity calcaDaysStatistics);


	int updateCalcaDaysStatisticsById(CalcaDaysStatisticsEntity calcaDaysStatistics);


	int updateCoverCalcaDaysStatisticsById(CalcaDaysStatisticsEntity calcaDaysStatistics);


	int deleteCalcaDaysStatisticsById(Long id);


}